> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Institution Credentials

> This endpoint returns which credentials will be needed to create a `member` for a specific `institution`.

Use this endpoint to see which credentials will be needed to create a `member` for a specific `institution`.

<Info>
  Institution credentials are not the same as member credentials. Use institution credentials to **create** a new `member` and member credentials to **update** an existing `member`.
</Info>

<ParamField query="display_order" type="number">
  The order in which the credential should be displayed to the end user; lower numbers should be displayed first.
</ParamField>

<ParamField query="field_name" type="string">
  Name of the credential field for the institution (e.g.
</ParamField>

<ParamField query="guid" type="string">
  A unique identifier for the credential. Defined by MX.
</ParamField>

<ParamField query="label" type="string">
  A label for the credential, intended to be readable by the end user (e.g.
</ParamField>

<ParamField query="type" type="string">
  A name for the type of field (e.g.
</ParamField>

<ParamField query="options" type="string">
  See explanation that immediately follows.
</ParamField>

<ParamField query="value" type="string">
  A response for the credential prompt.
</ParamField>

<RequestExample>
  ```shell Request theme={null}
  curl -i 'https://vestibule.mx.com/institutions/mxbank/credentials' \  -H 'Accept: application/vnd.mx.atrium.v1+json' \  -H 'MX-API-Key: {mx_api_key}' \  -H 'MX-Client-ID: {mx_client_id}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "credentials": [
      {
        "display_order": 0,
        "field_name": "login_email",
        "guid": "CRD-12ce94ad-032b-5441-8cb3-d7ebe3a35676",
        "label": "Email Address",
        "type": "LOGIN"
      },
      {
        "display_order": 1,
        "field_name": "login_password",
        "guid": "CRD-305767e4-f464-765b-8f83-881b5bd307ec",
        "label": "PayPal password",
        "type": "PASSWORD"
      }
    ]
  }
  ```
</ResponseExample>
